[sysadmin-bin] Make use of do-domains for auto-renewing signatures on the weekly dnssec run



commit a20bb542b7ef54d3b939f06a8fc1abef4f96754b
Author: Andrea Veri <av gnome org>
Date:   Thu Jul 3 15:49:02 2014 +0200

    Make use of do-domains for auto-renewing signatures on the weekly dnssec run

 automatic-dnssec-signzone |   19 ++++++++++++-------
 1 files changed, 12 insertions(+), 7 deletions(-)
---
diff --git a/automatic-dnssec-signzone b/automatic-dnssec-signzone
index 601cc97..9e66050 100755
--- a/automatic-dnssec-signzone
+++ b/automatic-dnssec-signzone
@@ -1,10 +1,15 @@
 #!/bin/bash
 
-signed_zones='gnome.org guadec.org gnomehispano.org gnomehispano.es guadec.es gimp.org gimp.net gtk.org'
-
 cd /tmp
-git clone /home/admin/dns.git
-cd dns/master ; for zone in $signed_zones ; do /usr/sbin/dnssec-signzone -K /srv/dnssec-keys/ -N unixtime 
$zone ; done
-mv *.signed ../built/ ; mv dsset* ../built/
-git add . ; git commit -a -m 'Automatic weekly signing run'
-git push ; cd /tmp ; rm -rf dns
+git clone /git/dns.git
+
+if [ -d /tmp/dns.git ]; then
+    cd /tmp/dns
+    ./do-domains
+    git add .
+    git commit -a -m 'Automatic weekly signing run'
+    git push ; cd /tmp ; rm -rf dns
+else
+    echo "Unable to access the directory. Exiting."
+    exit 1
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]